package com.yidianling.course.coursePlay.presenter

import com.ydl.ydlcommon.data.http.BaseResponse
import com.ydl.ydlcommon.data.http.RxUtils
import com.ydl.ydlcommon.mvp.base.BasePresenter
import com.ydl.ydlnet.client.observer.CommonObserver
import com.yidianling.common.tools.ToastUtil
import com.yidianling.course.bean.CourseMediaDetailBean
import com.yidianling.course.coursePlay.model.AudioPlayModelImpl

class AudioPlayPresenter : BasePresenter<IAudioPlayContract.View, IAudioPlayContract.Model>(),
    IAudioPlayContract.Presenter {

    override fun createModel(): IAudioPlayContract.Model = AudioPlayModelImpl()

    override fun getCoursePlayData(courseId: Int) {
        mView.showProgressDialog()
        mModel.getCoursePlayData(courseId)
            .compose(RxUtils.applySchedulers())
            .subscribe(object : CommonObserver<BaseResponse<CourseMediaDetailBean>>() {
                override fun onError(s: String?) {
                    mView.dismissProgressDialog()
                }

                override fun onSuccess(resp: BaseResponse<CourseMediaDetailBean>?) {
                    mView.dismissProgressDialog()
                    resp?.let {
                        if (it.code == 200) {
                            //跟新view显示
                            if (it.data != null && it.data is CourseMediaDetailBean) {
                                mView.updateView(it.data as CourseMediaDetailBean)
                            } else {
                                ToastUtil.toastShort("解析出错")
                            }
                        } else {
                            ToastUtil.toastShort(it.msg)
                        }
                    }
                }

            })
    }

}