package com.yidianling.course.coursePlay.presenter

import com.ydl.ydlcommon.data.http.BaseResponse
import com.ydl.ydlcommon.mvp.base.IModel
import com.ydl.ydlcommon.mvp.base.IPresenter
import com.ydl.ydlcommon.mvp.base.IView
import com.yidianling.course.bean.CourseMediaDetailBean
import io.reactivex.Observable

interface IAudioPlayContract {

    interface View : IView {

        fun showProgressDialog()

        fun dismissProgressDialog()

        fun updateView(bean: CourseMediaDetailBean)

    }


    interface Presenter : IPresenter<View> {

        fun getCoursePlayData(courseId: Int)

    }

    interface Model : IModel {

        fun getCoursePlayData(courseId: Int) : Observable<BaseResponse<CourseMediaDetailBean>>

    }

}